Bug 723304 - btrfs option not available in generic installer 16.12
btrfs option not available in generic installer 16.12
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 12:56 EDT by Clyde E. Kunkel
Modified: 2015-02-18 08:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:35:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clyde E. Kunkel 2011-07-19 12:56:16 EDT
Description of problem:
btrfs format option not available in generic installer 16.12 in desktop spin 20110717

Version-Release number of selected component (if applicable):
16.12

How reproducible:
every time

Steps to Reproduce:
1. look for btrfs in format file system drop down menu
2.
3.
  
Actual results:
no btrfs shown

Expected results:
btrfs option

Additional info:
Comment 1 Chris Lumens 2011-07-19 14:27:42 EDT
Looks like the livecd needs to be updated to include the btrfs tools.  If the tools are missing, anaconda will disable support for the filesystem.
Comment 2 Kevin Fenzi 2011-07-20 12:36:19 EDT
I've made btrfs-progs default in f16 comps. This should fix this issue... 


diff --git a/comps-f16.xml.in b/comps-f16.xml.in
index d174a07..4b73a63 100644
--- a/comps-f16.xml.in
+++ b/comps-f16.xml.in
@@ -255,6 +255,7 @@
       <packagereq type="conditional" requires="aspell">aspell-en</packagereq>
       <packagereq type="conditional" requires="hunspell">hunspell-en</packagereq>
       <packagereq type="default">acpid</packagereq>
+      <packagereq type="default">btrfs-progs</packagereq>
       <packagereq type="default">cifs-utils</packagereq>
       <packagereq type="default">coolkey</packagereq>
       <packagereq type="default">cryptsetup-luks</packagereq>
@@ -337,7 +338,6 @@
       <packagereq type="optional">authd</packagereq>
       <packagereq type="optional">bridge-utils</packagereq>
       <packagereq type="optional">brltty</packagereq>
-      <packagereq type="optional">btrfs-progs</packagereq>
       <packagereq type="optional">fbset</packagereq>
       <packagereq type="optional">gnupg2-smime</packagereq>
       <packagereq type="optional">gpart</packagereq>
Comment 3 Clyde E. Kunkel 2011-07-21 14:37:43 EDT
I'm reopening (only option for me is back to ASSIGNED, however) due to:

"Your / partition does not match the the live image you are installing from.  It must be formatted as ext4."

during hard disk install of generic installer 16.13 using the lxde 20110721 spin.

If this is by design just let me know.  Seems tho that you would want the ability to test as much of the installer as possible even with a desktop spin.

If this should be a new bz, just let me know and I'll do a new one.
Comment 4 Bruno Wolff III 2011-07-22 00:08:22 EDT
Currently live installs use a trick to speed up installs. This limits the install partition to the same file system type as used on the live image.
The other relevant part is that the install needs to be able to resize the file system once it has been copied over to the install partition. I don't know whether or not btrfs supports that or not. If it does, you should be able to build live images using btrfs instead of ext4 (this might need some code changes in livecd-creator to support it, if that file system isn't an option yet) and then have live installs use btrfs.

One related enhancement idea I had, but don't have time to work on now, is just uses squashfs directly and when do the install, use unsquashfs instead of dd to copy stuff over. This may or may not end up being significantly slower than dd and resizing.
Comment 5 Kevin Fenzi 2011-07-22 17:13:39 EDT
Note that simply doing a 's/ext4/btrfs/' in the kickstarts is not enough here. If I do that I get: 


# livecd-creator -c fedora-livecd-xfce.ks --releasever=16 -v
Using label 'fedora-livec-x86_64-201107221419' and name 'livecd-fedora-livecd-xfce-201107221419'
Extending sparse file /var/tmp/imgcreate-ZorR7g/tmp-_9TonE/ext3fs.img to 3221225472
Losetup add /dev/loop0 mapping to /var/tmp/imgcreate-ZorR7g/tmp-_9TonE/ext3fs.img
Formating btrfs filesystem on /dev/loop0
Error creating Live CD : Failed to loopback mount '/var/tmp/imgcreate-ZorR7g/tmp-_9TonE/ext3fs.img' : Error creating btrfs filesystem
Losetup remove /dev/loop0

So, livecd-creator likely has some assumptions about ext* ?
Comment 6 Clyde E. Kunkel 2012-09-28 12:16:27 EDT
Status?  not a bug?
Comment 7 Fedora End Of Life 2013-04-03 15:27:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:50:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:35:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.